GNU bug report logs - #40059
lisp-mode indentation not aligned vertically

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Spenser Truex <lists@HIDDEN> ; Keywords: unreproducible moreinfo; dated Sat, 14 Mar 2020 04:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) unreproducible and moreinfo. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40059 <at> debbugs.gnu.org:


Received: (at 40059) by debbugs.gnu.org; 16 Mar 2020 09:24:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 16 05:24:41 2020
Received: from localhost ([127.0.0.1]:36054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDlzF-0004bz-D5
	for submit <at> debbugs.gnu.org; Mon, 16 Mar 2020 05:24:41 -0400
Received: from mout.gmx.net ([212.227.15.19]:51105)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jDlzD-0004bm-9I
 for 40059 <at> debbugs.gnu.org; Mon, 16 Mar 2020 05:24:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1584350669;
 bh=uxCiTEbZvT6cBhTTVrMtBySG4yQYbod0zl5e5chaDw4=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=LU2rDzVeodOub368W8m25ENELsZd9GE054tKpN90lnmwaQTpSSEyD3e1fbBRYrz2P
 o75ctBqlY7MdJcH5HispM5g2tsqfEBfil16oXGiaX3COOucn+9Csij8+e0wjtrs5ZR
 QMSBzv9xQFNHlOOTl4kTr9jcKwsH5ndY2VjzC9X4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.221]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Ml6mE-1jb2zB1rae-00lWiN; Mon, 16
 Mar 2020 10:24:29 +0100
Subject: Re: bug#40059: lisp-mode indentation not aligned vertically
To: Spenser Truex <lists@HIDDEN>, 40059 <at> debbugs.gnu.org
References: <8736ab4k7b.fsf@HIDDEN> <87bloz6tub.fsf@HIDDEN>
 <87eett8v7d.fsf@HIDDEN> <877dzl7c5i.fsf@HIDDEN>
 <87eettmbnr.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <4ba605f8-e4a4-21d6-6848-2a8bb762a411@HIDDEN>
Date: Mon, 16 Mar 2020 10:24:28 +0100
MIME-Version: 1.0
In-Reply-To: <87eettmbnr.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:edRK/I7+uQHOEl33kNvytKsfWlDXmQG0eUARmjmRvNgiGtRC9xG
 GoYlo6RBe1Pw33QuudPE0S8bh7JOIeVWt1YfweM2F76ntDBxaMw0dbhn0V/NeMjfcfIyhSE
 ody+XokLiGiyudYn8ooyT+3v8IROcwbB9eggwQCdoUjewytMnjINXaCshLlKBFuwVz6gDaL
 Oc0Ov5cNut0N5Mo9Hh3Nw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:osOOm04UCYk=:fAcww6qUUhDKf8HZWdmEgq
 HCHMf/0jF0lvZ2gvHqxBwv4Zx4iw+xCMxCdypEPaxZUxKL8mI3U5mTvByRmumcSDC2dqnUzkj
 cMRUXYKH8XCpX8Ui6A4dJ01O9Qo3pMEOZdntDcoUgNcLwEimazbGkgjzqFphL51Piq9JkkDiK
 qP/fUfxUdqOoiimLYsm+k3e34SYeHu8AMNbjAXUXJzapjrDVq5OIMkNdrRpc91oARnyltYBL3
 s2NCPJ+ZBKX750/mAjvpZrvleern40+zV/0OP0NtOXlvRGIOwUyTHUgg2ZaVQaVNcw/yIu/EB
 pmeATGQPuAonKDbHUDdCy15HbGLwNT5rhSyR5R7K15BTC24CxhyxrYf89QOveD6Oon6Zf3lYC
 RGwYu78yKSUaxyab/yZGv2DxKsrui1fmMuPUASWDjloASMESf57TS7rXBl2hFLll+Zn5qRLfF
 xFTdQ3rEH9YN4NQSUm4VqB10UB9kbgYjXjSF2yhnJ6HLvo+RQo0ggS/i4yuzxwBG0JqlM2jPz
 xNtfvMxmaWTlJEZtoa5e6fkyy59sVaOo8Clm2yFOYL9h2+a493GXf4rhrf6mAfTThuI5fNp7H
 dCRc61leoNzsWHN8IhkLYkKqRF8GTJxkADj529reS8ejAjbyhbbBUDYbSdJTMrxc7BPE80SmF
 AFmyi0sgV3yMeSaKKZrpK4B/ipAH+s1+apO5alpKrto3GSBtOSO6PEkkKA9nq/tf0CsrDBzK8
 SeKbuCUYCcl5ytGc2jkx9HSTWQ111KQajgj/Rcia+mwULiEeblyDttFa3wNHCpy6Wjs9lbri2
 PEBW2UFZUREkEL3Ukg47oO/apQThPYKBdk+oDxAuR74RvLWvb4zFMeRVYCfeHtQTLBFEGW0Ft
 Lf7BX8rq0hhpWUu6YT/9wCzBi/7FWrI2xiSrGIk3pR7vIq3E0dVUDtFKeAV8yv+F0AvjB6637
 EWPnR3sUa0r7DkR/PbmJD6oSp0ONALq6FjbtnP1S27YmWHqfQ89FySeBkSYLnzyebYQNp60PG
 4fGCUlZ8WD3YLlZCX+UVr0hqnWaRz7je5eNbj6WgiqBDWguLV8P42goFwGxx9j+7r8+Nm46NE
 dt85HBTuW2Bn5rl01i2q3oODxUvy+DhGJW+Ng3oEvy5SOqc8YEO8FteO81xuto+unI+RhAMwV
 cwwJ4r+8TUJYGPjiqeyH0Nz1jLPahe9QuXPZBTkApuN1Zj9Zb0rNTLw/cy2Z7Oj0j1ljkdLWV
 yYs9C6nW5bEZX1LAJ
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40059
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Here is my M-x version
> GNU Emacs 27.0.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.14) of 2020-03-07

Have you tried with emacs -Q?

martin






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40059; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2020 23:40:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 19:40:53 2020
Received: from localhost ([127.0.0.1]:35809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDcsG-0004C1-PH
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 19:40:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:42618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lists@HIDDEN>) id 1jDcqO-00048Y-Sl
 for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 19:38:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47550)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <lists@HIDDEN>) id 1jDcqM-0007Xj-30
 for bug-gnu-emacs@HIDDEN; Sun, 15 Mar 2020 19:38:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lists@HIDDEN>) id 1jDcqK-0001DU-Nb
 for bug-gnu-emacs@HIDDEN; Sun, 15 Mar 2020 19:38:53 -0400
Received: from spensertruex.com ([66.70.189.182]:50060)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lists@HIDDEN>)
 id 1jDcqK-000195-HL
 for bug-gnu-emacs@HIDDEN; Sun, 15 Mar 2020 19:38:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=spensertruex.com;
 s=myselector; t=1584315346;
 bh=J7ff8dGA+Ppm/YBMYwgF3GMiHbQ3wCddvv6BMWbi5Ug=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=f9IBnJjiMX/WQh8KAO8llGVWS7BpauAJlkRsi4qFKvgPRMqlSkbEcq4dnyYDpZSg0
 p2otbVTYAUDQLU/LrhQSjTKIEwQZ34R5c7RK9h61hw29PFlqCyTQWB61ngfynuVIvr
 3UHKT90EGQOKaPfpgSBesSVQ4P60BQGH+UoNl1PptrxNvo2wVoSMUFhnr9F7ef+A/H
 XddrO5JDvL8Iw2tgZ/hQe6Nj1APUXh3Lgu417ANB5w/XF8dhmqUKGK+7IX99PniSJJ
 JmY4eIBJ6rigti7ZCc4rfWjEdESwdjcb/TbyEMCwUXBODqTJTaoSNvQtSMkq4RKGTe
 wEM11tkqhqxPA==
From: Spenser Truex <lists@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#40059: lisp-mode indentation not aligned vertically
In-Reply-To: <877dzl7c5i.fsf@HIDDEN> (Noam Postavsky's message of "Sun, 15
 Mar 2020 13:36:57 -0400")
References: <8736ab4k7b.fsf@HIDDEN> <87bloz6tub.fsf@HIDDEN>
 <87eett8v7d.fsf@HIDDEN> <877dzl7c5i.fsf@HIDDEN>
Date: Sun, 15 Mar 2020 16:38:32 -0700
Message-ID: <87eettmbnr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 66.70.189.182
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 15 Mar 2020 19:40:52 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Noam Postavsky <npostavs@HIDDEN> writes:

> Spenser Truex <lists@HIDDEN> writes:
>>
>> 0. Open a buffer (eg. *scratch*) and M-x lisp-mode
>> 1. Paste the sample into a buffer with the cursor at |
>> |(:a :b
>>     :c
>>     :d
>>     :e)
>> 2. Run `indent-sexp'
>> 3. Should look like this if reproduced successfully
>>
>> (:a :b
>>  :c
>>     :d
>>  :e)
>>
>> If that doesn't work, try placing the cursor on each line and run
>> `indent-for-tab-command'.
>
> I had only tried indent-region before, but neither of these reproduce
> for me either.
>
> I don't think you've mentioned which Emacs versions you are seeing this
> with.

Here is my M-x version
GNU Emacs 27.0.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.14) of 2020-03-07

-- 
Spenser Truex
spensertruex.com
San Francisco, USA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40059; Package emacs. Full text available.

Message received at 40059 <at> debbugs.gnu.org:


Received: (at 40059) by debbugs.gnu.org; 15 Mar 2020 17:37:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 13:37:06 2020
Received: from localhost ([127.0.0.1]:35460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDXCE-0002kv-J1
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 13:37:06 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:33216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jDXCC-0002kQ-GD
 for 40059 <at> debbugs.gnu.org; Sun, 15 Mar 2020 13:37:04 -0400
Received: by mail-qt1-f181.google.com with SMTP id d22so12175877qtn.0
 for <40059 <at> debbugs.gnu.org>; Sun, 15 Mar 2020 10:37:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=uGkYqSquoVja5e9/bM0zY6SYmuzWg3pOXIhNUu7xvK4=;
 b=KpbYLHW1DmW7P60PStMB0Nkfyac8b4qMziArx8FtVyDtNDBTJsTlf3lBDIcwaY3Mjs
 9canJlxlLBPi6le9PFjEhhrik/JS9D0GxQ70mCoxtha2II2ucYYXkEnOoFVxygPZN8oq
 I8xpHCwaLw3bs+Zu72aF0tOpMwd7c77HhFgvp8wvaMHlGnwmzUanLs232MY4UM8mBFv6
 zspngsMCQrbvvb+kVBXrFfc7qCwugH293odyDs1S2Nc0c0DOyTWwcYCyRXUJl/+fzTn6
 cT9FeSNKuP9XImFyaxCovnnymS9UgV/fa0pbxCCvi9n6dJwP6GR8gGRdSnpPnZk9/xLj
 ks2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=uGkYqSquoVja5e9/bM0zY6SYmuzWg3pOXIhNUu7xvK4=;
 b=aZzYh6eNOuttcK4Z1q7m649bs1Ki5SyEnj6ijtRieKLtniyEUbiE0ZhgGiN5QWYjOk
 nZt0S+5gZFctznmx9BAKYRaEq70oUxIwyL3MzHpvpiBQv7O0eMb2HuFQ7mquixpCjWmf
 mS2IbliM6p4Ovuboz5j1cwtyB9wwTxvi3h0LBkrHbLGAMN4MqShj/jqKOcYG4xYIDcwu
 CK4YuvI8kxQFvPGxbhYn4xk7rdnYGPclIc5EqWNMm14I5CD+Z7MTX5rQ1BIkSfXyuNkG
 Te5ryMcN+ZrocMZ2s15jgSYdi/gNKEPbhvH4GjSKqJ7v/NEOfLoiQr/a6UUDagUCwMsm
 rOGg==
X-Gm-Message-State: ANhLgQ3+XomEFumN/sBQ1QmGTiQ9NuqtICDMXNpQ13+mSBUYDI2ZqIVM
 GBNdXhQ7v9PMOOLRmiPWF1fhW1KL
X-Google-Smtp-Source: ADFU+vvKi3f2EVwhRnddiLUGr0Nf4G3qJhIorM5GbElrw3WQ4ovZKqAh9NhecAwBCQmzH3+r46p3oA==
X-Received: by 2002:ac8:12c8:: with SMTP id b8mr21446062qtj.60.1584293818580; 
 Sun, 15 Mar 2020 10:36:58 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 q75sm4968360qke.12.2020.03.15.10.36.57
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 15 Mar 2020 10:36:57 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Spenser Truex <lists@HIDDEN>
Subject: Re: bug#40059: lisp-mode indentation not aligned vertically
References: <8736ab4k7b.fsf@HIDDEN> <87bloz6tub.fsf@HIDDEN>
 <87eett8v7d.fsf@HIDDEN>
Date: Sun, 15 Mar 2020 13:36:57 -0400
In-Reply-To: <87eett8v7d.fsf@HIDDEN> (Spenser Truex's message of
 "Sun, 15 Mar 2020 09:00:06 -0700")
Message-ID: <877dzl7c5i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40059
Cc: 40059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Spenser Truex <lists@HIDDEN> writes:
>
> 0. Open a buffer (eg. *scratch*) and M-x lisp-mode
> 1. Paste the sample into a buffer with the cursor at |
> |(:a :b
>     :c
>     :d
>     :e)
> 2. Run `indent-sexp'
> 3. Should look like this if reproduced successfully
>
> (:a :b
>  :c
>     :d
>  :e)
>
> If that doesn't work, try placing the cursor on each line and run
> `indent-for-tab-command'.

I had only tried indent-region before, but neither of these reproduce
for me either.

I don't think you've mentioned which Emacs versions you are seeing this
with.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40059; Package emacs. Full text available.

Message received at 40059 <at> debbugs.gnu.org:


Received: (at 40059) by debbugs.gnu.org; 15 Mar 2020 16:28:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 15 12:28:07 2020
Received: from localhost ([127.0.0.1]:35380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jDW7S-0000rg-JI
	for submit <at> debbugs.gnu.org; Sun, 15 Mar 2020 12:28:06 -0400
Received: from spensertruex.com ([66.70.189.182]:45248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lists@HIDDEN>) id 1jDVgn-00009d-QH
 for 40059 <at> debbugs.gnu.org; Sun, 15 Mar 2020 12:00:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=spensertruex.com;
 s=myselector; t=1584287847;
 bh=BTCBnBYWgY6aQiiV833jiSBRqGnJMsIa+Hc6Znl6Ke4=;
 h=From:To:Subject:References:Date:In-Reply-To;
 b=PxrGXgQhoWpCFepnLSPJ44zynLCQfhc+1jd01XC0NLEBJ5jspIZ8jkgq5t62Skqcx
 X7r4VcdbVnm70ruak6cBeLvf/UUeNQOk8q3F789QPX3QYUjSIvfYwdN5tybmKpcJ+5
 fXKNfsGUtv1G+oQWXm/Npv5q0BFtGMyLr36r7muh3lJGiJBwTmBlNcg22+f2ym/44w
 AsgDI8K3wmTKgKVRyP4CdnXECeiQF9MQ/dAV0OJe9Ct0Jd0p04qWPt4VP71pvC6NQV
 hNeZTj6mxpnKBCwUmpd14P8KCUeSds1n5Rb4V6c+VZ9HS8PX34B8zKnfvoUgmiJkl7
 GfbTnrvFTTewA==
From: Spenser Truex <lists@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>, 40059 <at> debbugs.gnu.org
Subject: Re: bug#40059: lisp-mode indentation not aligned vertically
References: <8736ab4k7b.fsf@HIDDEN> <87bloz6tub.fsf@HIDDEN>
Date: Sun, 15 Mar 2020 09:00:06 -0700
In-Reply-To: <87bloz6tub.fsf@HIDDEN> (Noam Postavsky's message of "Sat, 14
 Mar 2020 07:47:56 -0400")
Message-ID: <87eett8v7d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40059
X-Mailman-Approved-At: Sun, 15 Mar 2020 12:28:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> Spenser Truex <lists@HIDDEN> writes:
>
>> Here is a very simple example:
>>
>> (:a :b
>>  :c
>>     :d
>>  :e)
>
> I'm not able to reproduce this.  I tested on 27.0.90 and 26.3.  I get
>
> (:a :b
>     :c
>     :d
>     :e)
>
> in both lisp-mode and emacs-lisp-mode.

Just to be clear, the process is such:

0. Open a buffer (eg. *scratch*) and M-x lisp-mode
1. Paste the sample into a buffer with the cursor at |
|(:a :b
    :c
    :d
    :e)
2. Run `indent-sexp'
3. Should look like this if reproduced successfully

(:a :b
 :c
    :d
 :e)

If that doesn't work, try placing the cursor on each line and run
`indent-for-tab-command'.


-- 
Spenser Truex
spensertruex.com
San Francisco, USA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40059; Package emacs. Full text available.

Message received at 40059 <at> debbugs.gnu.org:


Received: (at 40059) by debbugs.gnu.org; 14 Mar 2020 11:48:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 07:48:05 2020
Received: from localhost ([127.0.0.1]:60680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jD5Gv-00020W-EV
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 07:48:05 -0400
Received: from mail-qt1-f174.google.com ([209.85.160.174]:35073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jD5Gt-000202-4e
 for 40059 <at> debbugs.gnu.org; Sat, 14 Mar 2020 07:48:04 -0400
Received: by mail-qt1-f174.google.com with SMTP id v15so10043495qto.2
 for <40059 <at> debbugs.gnu.org>; Sat, 14 Mar 2020 04:48:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=s28/KGv/M/d61/utGdkdH1baTeQyybfEg5S9p5o/64o=;
 b=REIfSQN6CSOaef51PJQn8iDeLkpXWeaF1E8d0J/bWzRoDgzVDEzf4sCYhyMuwc0klr
 aGbtGqlkKNX4/4Sed4uNYYrKzWHEq9bPsPB9Cwx54kW4Q5SHhUiElTqNZywKXmDQykQZ
 b4RgoGSkYBdgkhn/AJhoyqEY2j42ETJNKbamLvuQV/+fB/IK8N8Hfki7E/YpPcZnwU2A
 rk0paYtEkXsJ3xlt9YODmnZ+7fLRoF6MTVFekmfuuGIAOOmDWrASLo7Lghn43w6TLrUT
 pTbgThEpPbOL1KsCljJUwNn1oqVm4bLEgvEOAsw2mK/gOvkHyUGu7To98bIxgMQt0H8v
 CHjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=s28/KGv/M/d61/utGdkdH1baTeQyybfEg5S9p5o/64o=;
 b=twtkbHC9YF47aK8rp1zbg7B98FUYSlSS3FwOe38QRKNEc6rRF28eGvvorg29N5eD49
 tpWNA7wAf58cgxxMNi1wv7O0cY0AIEu/T5w/s8u1s6vunteK9f7cq++WGzRKSYJDW79Z
 uulhh80PMmvo0OC8dRDgwj2zPapqP6iDC5sxtsnvL4L8VOSsUbF91y++7J+SWVJAssER
 iNLvzTeZ2qzM9cYKPMeEcdH3T92gpIeTAe+xrCmO+9m4JSC2pp3+FIia58rnnC9CTSNa
 XP4mUh9RIKWmDLG/xqPWgwY9Gm+Yrv92wVId4a8mJ6XI0QRoQPzQaz4LX3MkoY59chVa
 +fUw==
X-Gm-Message-State: ANhLgQ1XEnvasPZRU9uFM3nZZT7RQwL2pGvjsxCMGDCK/0OWN+WV0rfg
 jNOR0m5+YucEbWeeieHzwqttYrhc
X-Google-Smtp-Source: ADFU+vs4r3YSd1amD3jm4Bo7h34/nf+Gum5Q0B1fT7ZJ+ft6AY37hLiOftHfgzBZVs1VOy23zT/vxQ==
X-Received: by 2002:aed:218f:: with SMTP id l15mr16682793qtc.247.1584186477406; 
 Sat, 14 Mar 2020 04:47:57 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 o14sm11780211qtq.12.2020.03.14.04.47.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 14 Mar 2020 04:47:56 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Spenser Truex <lists@HIDDEN>
Subject: Re: bug#40059: lisp-mode indentation not aligned vertically
References: <8736ab4k7b.fsf@HIDDEN>
Date: Sat, 14 Mar 2020 07:47:56 -0400
In-Reply-To: <8736ab4k7b.fsf@HIDDEN> (Spenser Truex's message of
 "Fri, 13 Mar 2020 21:46:48 -0700")
Message-ID: <87bloz6tub.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40059
Cc: 40059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Spenser Truex <lists@HIDDEN> writes:

> This code sample demonstrates what I consider to be a bug in the
> lisp-mode indentation.
>
> Here is a very simple example:
>
> (:a :b
>  :c
>     :d
>  :e)

I'm not able to reproduce this.  I tested on 27.0.90 and 26.3.  I get

(:a :b
    :c
    :d
    :e)

in both lisp-mode and emacs-lisp-mode.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40059; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Mar 2020 04:56:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 14 00:56:11 2020
Received: from localhost ([127.0.0.1]:60482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jCyqJ-000584-4I
	for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 00:56:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:41098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lists@HIDDEN>) id 1jCyha-0004vw-DZ
 for submit <at> debbugs.gnu.org; Sat, 14 Mar 2020 00:47:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56114)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <lists@HIDDEN>) id 1jCyhZ-0002KO-3t
 for bug-gnu-emacs@HIDDEN; Sat, 14 Mar 2020 00:47:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lists@HIDDEN>) id 1jCyhY-0003m0-23
 for bug-gnu-emacs@HIDDEN; Sat, 14 Mar 2020 00:47:08 -0400
Received: from spensertruex.com ([66.70.189.182]:49936)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lists@HIDDEN>)
 id 1jCyhX-0003ga-SL
 for bug-gnu-emacs@HIDDEN; Sat, 14 Mar 2020 00:47:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=spensertruex.com;
 s=myselector; t=1584161040;
 bh=FgSTuBF19JCsMFqiZEI4ugdL8wO+/qsNRQQExTNI3Ns=;
 h=From:To:Subject:Date;
 b=JD96K8Jwy8z7q4UudhXBk0DFnFuWPidgGOXBAz0keF8anUV7m/paSnZ/lA5jbWv3N
 aECcu0qGCylvm1CAPlgWtxZ0xqWnywUaFRsKiSdV7VGT0YUoSW79Mt2efaqdFtDymT
 P8FtNm+Tdi5CmZWxeUEkNAMiKmBZ2x1kd5Fu7VPuBN9btdby9C8CWcaVc2qUIT56hH
 WpmssEnqf5jqFEDD12DwIZ2oxava3V9V//BlALMD+D+UCSReohrnxwRKEIEdZ06cpi
 IykACuMb6UTnLPLUDB8v4vylEVAL8KNkExRw/+m2PaVr4QBMsRCtEuzcEb9G5rjMnI
 BWRb5VkMdy+1w==
From: Spenser Truex <lists@HIDDEN> 
To: bug-gnu-emacs@HIDDEN
Subject: lisp-mode indentation not aligned vertically
Date: Fri, 13 Mar 2020 21:46:48 -0700
Message-ID: <8736ab4k7b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 66.70.189.182
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 14 Mar 2020 00:56:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)


This code sample demonstrates what I consider to be a bug in the
lisp-mode indentation.

Here is a very simple example:

(:a :b
 :c
    :d
 :e)


Here it is in an actual use case (defining Common Lisp packages)
(defpackage :example
  (:use :cl)

  ;; Here is the weird part:
  (:export :thing1
   :thing2
           :thing3
    :thing4
           :thing5))

A sane, non-buggy indentation would be this:
(defpackage :example
  (:use :cl)

  ;; These are aligned vertically:
  (:export :thing1
           :thing2
           :thing3
           :thing4
           :thing5))

This seems to be primarily caused by the keyword argument as the first
element of the unquoted list.

This is especially an issue if using aggressive formatting like
aggressive indent mode. <https://github.com/Malabarba/aggressive-indent-mode/issues/122>

-- 
Spenser Truex
spensertruex.com
SFSU Computer Science




Acknowledgement sent to Spenser Truex <lists@HIDDEN> :
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40059; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.